Skip to main content

User Preference

View as Markdown

User Preference represents a user-specific setting scoped to an individual user within an account. Unlike workspace or account settings that apply to all users, user preferences allow personal customization (e.g., UI theme, editor preferences) without affecting other users.

UserPreference object

User Preference represents a user-specific setting scoped to an individual user within an account. Unlike workspace or account settings that apply to all users, user preferences allow personal customization (e.g., UI theme, editor preferences) without affecting other users.

namestringBeta

Name of the setting.

user_idstringBeta

User ID of the user.

boolean_valobjectBeta
Show child attributesHide child attributes
valuebooleanPublic Preview
string_valobjectBeta
Show child attributesHide child attributes
valuestringPublic Preview

Represents a generic string value.

effective_boolean_valobjectBeta
Show child attributesHide child attributes
valuebooleanPublic Preview
effective_string_valobjectBeta
Show child attributesHide child attributes
valuestringPublic Preview

Represents a generic string value.

Get Beta

GET /api/2.1/accounts/{account_id}/users/{user_id}/settings/{name}

Get a user preference for a specific user. User preferences are personal settings that allow individual customization without affecting other users. See settingsv2/listaccountuserpreferencesmetadata for list of user preferences available via public APIs.

API scopes: settings

Parameters

account_idstringpath

<Databricks> account ID of the account being managed.

user_idstringpath

User ID of the user whose setting is being retrieved.

namestringpath

User Setting name.

Response

Returns the UserPreference object.

Update Beta

PATCH /api/2.1/accounts/{account_id}/users/{user_id}/settings/{name}

Update a user preference for a specific user. User preferences are personal settings that allow individual customization without affecting other users. See settingsv2/listaccountuserpreferencesmetadata for list of user preferences available via public APIs.

Note: Page refresh is required for changes to take effect in UI.

API scopes: settings

Parameters

account_idstringpath

<Databricks> account ID of the account being managed.

user_idstringpath

User ID of the user whose setting is being updated.

namestringpath

Request body

settingobject
Show child attributesHide child attributes
namestring

Name of the setting.

user_idstring

User ID of the user.

boolean_valobjectRequired
Show child attributesHide child attributes
valuebooleanPublic Preview
string_valobjectRequired
Show child attributesHide child attributes
valuestringPublic Preview

Represents a generic string value.

effective_boolean_valobjectRequired
Show child attributesHide child attributes
valuebooleanPublic Preview
effective_string_valobjectRequired
Show child attributesHide child attributes
valuestringPublic Preview

Represents a generic string value.

Response

Returns the UserPreference object.